﻿using System.IO;
using System.Windows;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace Sample1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ExportButton_Click(object sender, RoutedEventArgs e)
        {
            var grid = ChartGrid;
            RootGrid.UpdateLayout();

            var imageEncoder = new JpegBitmapEncoder();
            RenderTargetBitmap bitmap = new RenderTargetBitmap((int)grid.ActualWidth, (int)grid.ActualHeight, 96, 96, PixelFormats.Pbgra32);
            bitmap.Render(grid);
            imageEncoder.Frames.Add(BitmapFrame.Create(bitmap));

            using (Stream stream = File.Create("Chart3D"))
            {
                imageEncoder.Save(stream);
            }
        }
    }
}
